Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1422620

Description of problem:

If you look at the help for the installer, you can see what the defaults are for the options. Looking at the default for

dhcp-option-domain, that gets set based on your environment. However, looking at the dns-reverse, it has a default that doesn't get

adjusted based on your system.

1. satellite-installer --help | grep -ie dhcp-option -ie dns-reverse

--foreman-proxy-dhcp-option-domain  DHCP use the dhcpd config option domain-name (default: ["usersys.redhat.com"])

--foreman-proxy-dns-reverse   DNS reverse zone name (default: "100.168.192.in-addr.arpa")

2. ip a | grep -e 192 -ie 10

2: eth0: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc pfifo_fast state UP qlen 1000

inet 10.10.181.147/21 brd 10.10.183.255 scope global dynamic eth0

[root@ex403 ~]#

Version-Release number of selected component (if applicable):

6.2.7

How reproducible:

100%

Steps to Reproduce:

1. run the satellite-installer --help command

2. look for dns-reverse

3.

Actual results:

It always has a default of 100.168.192.in-addr.arpa no matter what your networking is.

Expected results:

The default should get based on what your default route is. For systems with more than one nic, that might not be what gets used,

but at least it has a chance of being a useful default.

Additional info:

Related issues:

Related to Installer - Bug #16915: Better defaults for DHCP/DNS interfaces/ne... Resolved

Associated revisions

Revision 53d0f22f - 02/20/2017 03:51 AM - Ewoud Kohl van Wijngaarden

Fixes #18538: Better default value for dns_reverse

History

#1 - 02/16/2017 09:57 AM - Stephen Benjamin

05/18/2024 1/2

https://bugzilla.redhat.com/show_bug.cgi?id=1422620


- Project changed from Katello to Installer

- Subject changed from Installer should have a better default for --foreman-proxy-dns-reverse

 to Installer should have a better default for --foreman-proxy-dns-reverse

- Category changed from Installer to Foreman modules

#2 - 02/16/2017 12:31 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/puppet-foreman_proxy/pull/329 added

#3 - 02/20/2017 04:01 AM - Ewoud Kohl van Wijngaarden

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset puppet-foreman_proxy|53d0f22f8b7f6b9f19e810a4662702b5fd836dc4.

#4 - 02/20/2017 05:33 AM - Dominic Cleal

- translation missing: en.field_release set to 209

#5 - 10/18/2017 01:38 PM - Ewoud Kohl van Wijngaarden

- Related to Bug #16915: Better defaults for DHCP/DNS interfaces/network ranges during install added
